
[FileName,PathName] = uigetfile({ ...  % dialog pro výběr souboru
    '*.wav',}, ...
    'Výběr souboru');
if isequal(FileName,0); return; end

[x, fs, bits]=wavread([PathName FileName]);  % načtení vybraného souboru

x = x(:,1); % pouze hodnoty jednoho kanálu
[S,F,T,P] = spectrogram(x,2048,256,2048,fs,'yaxis');
duration = length(x)./fs % casova delka zaznamu

set(figure(),'Name','Spektrogram')
imagesc(T,F,10*log10(P));
axis([0 duration 0 10000]) % omezeni osy y
% surf(T,F,10*log10(P),'edgecolor','none');axis tight; view(0,90);
h=colorbar;
title('Spektrogram tónu d1, barokní pozoun, forte');
xlabel('čas [s]');
ylabel('frekvence [Hz]');
ylabel(h,'Spektrální hustota výkonu[dB]');
set(gca,'YDir','normal');

